cURL
curl --request GET \ --url https://api.embedreach.com/api/segments/conditions
{ "success": true, "message": "<string>", "data": { "conditions": [ { "field": "<string>", "operators": [ "<string>" ], "type": "string", "itemType": "string", "options": [ { "displayName": "<string>", "id": "<string>" } ], "description": "<string>" } ] } }
Get all available segment conditions
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Status 200 response
Show child attributes
The conditions to include in the segment
The field to include in the segment
The operators to include in the segment
The type of segment
string
number
integer
boolean
array
date
date-time
reach-resource
If the type is an array, this is the type of the items
The options to include in the segment
The display name of the option
The id of the option
The description of the condition